# Validate certificate data

Validates the OTP code entered by the holder. See validate.

Endpoint: POST /api/certificate/validate
Version: 26.1.0.3
Security: basicAuth, sslCertificate

## Request fields (application/json):

  - `certIdOtp` (integer, required)
    OTP certificate identifier returned by enroll (certIdOtp).
    Example: 1234567

  - `deviceCode` (string, required)
    Device code returned by enroll (deviceCode).
    Example: "RHIDP0000000000000"

  - `otpCode` (string, required)
    OTP code entered by the user.
    Example: "123456"

## Response 500 fields (application/json):

  - `code` (integer, required)
    Application error code.
    Example: 242

  - `message` (string, required)
    Human-readable error description. For validation errors (code 242), includes field-level details in the format Input parameter invalid: [{field=..., message=...}].
    Example: "Input parameter invalid: [{field=disposableHolder, message=must not be null}]"


## Response 200 fields
